diff --git a/guava-tests/test/com/google/common/net/HttpHeadersTest.java b/guava-tests/test/com/google/common/net/HttpHeadersTest.java
index 5361b3f..b4c8b21 100644
--- a/guava-tests/test/com/google/common/net/HttpHeadersTest.java
+++ b/guava-tests/test/com/google/common/net/HttpHeadersTest.java
@@ -19,8 +19,6 @@ package com.google.common.net;
 import com.google.common.base.Ascii;
 import com.google.common.base.Joiner;
 import com.google.common.base.Splitter;
-import com.google.common.collect.ImmutableBiMap;
-import com.google.common.collect.ImmutableSet;
 import com.google.common.collect.Lists;
 import java.lang.reflect.Field;
 import java.util.List;
diff --git a/guava-tests/test/com/google/common/net/InetAddressesTest.java b/guava-tests/test/com/google/common/net/InetAddressesTest.java
index be77e7b..ceded47 100644
--- a/guava-tests/test/com/google/common/net/InetAddressesTest.java
+++ b/guava-tests/test/com/google/common/net/InetAddressesTest.java
@@ -18,7 +18,6 @@ package com.google.common.net;
 
 import static com.google.common.truth.Truth.assertThat;
 
-import com.google.common.collect.ImmutableSet;
 import com.google.common.testing.NullPointerTester;
 import java.math.BigInteger;
 import java.net.Inet4Address;
diff --git a/guava-tests/test/com/google/common/net/InternetDomainNameTest.java b/guava-tests/test/com/google/common/net/InternetDomainNameTest.java
index 7113fb4..17cec57 100644
--- a/guava-tests/test/com/google/common/net/InternetDomainNameTest.java
+++ b/guava-tests/test/com/google/common/net/InternetDomainNameTest.java
@@ -17,11 +17,8 @@
 package com.google.common.net;
 
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.base.Ascii;
 import com.google.common.base.Strings;
-import com.google.common.collect.ImmutableSet;
 import com.google.common.collect.Iterables;
 import com.google.common.testing.EqualsTester;
 import com.google.common.testing.NullPointerTester;
@@ -32,7 +29,6 @@ import junit.framework.TestCase;
  *
  * @author Craig Berry
  */
-@GwtCompatible(emulated = true)
 public final class InternetDomainNameTest extends TestCase {
   private static final InternetDomainName UNICODE_EXAMPLE =
       InternetDomainName.from("j\u00f8rpeland.no");
@@ -501,7 +497,7 @@ public final class InternetDomainNameTest extends TestCase {
     return InternetDomainName.from(domain);
   }
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   public void testNulls() {
     final NullPointerTester tester = new NullPointerTester();
 
diff --git a/guava-tests/test/com/google/common/net/MediaTypeTest.java b/guava-tests/test/com/google/common/net/MediaTypeTest.java
index 574db68..76aaf60 100644
--- a/guava-tests/test/com/google/common/net/MediaTypeTest.java
+++ b/guava-tests/test/com/google/common/net/MediaTypeTest.java
@@ -33,15 +33,10 @@ import static java.lang.reflect.Modifier.isPublic;
 import static java.lang.reflect.Modifier.isStatic;
 import static java.util.Arrays.asList;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.base.Function;
 import com.google.common.base.Optional;
 import com.google.common.base.Predicate;
 import com.google.common.collect.FluentIterable;
-import com.google.common.collect.ImmutableListMultimap;
-import com.google.common.collect.ImmutableMultimap;
-import com.google.common.collect.ImmutableSet;
 import com.google.common.testing.EqualsTester;
 import com.google.common.testing.NullPointerTester;
 import java.lang.reflect.Field;
@@ -55,16 +50,15 @@ import junit.framework.TestCase;
  *
  * @author Gregory Kick
  */
-@GwtCompatible(emulated = true)
 public class MediaTypeTest extends TestCase {
-  @GwtIncompatible // reflection
+  // reflection
   public void testParse_useConstants() throws Exception {
     for (MediaType constant : getConstants()) {
       assertSame(constant, MediaType.parse(constant.toString()));
     }
   }
 
-  @GwtIncompatible // reflection
+  // reflection
   public void testCreate_useConstants() throws Exception {
     for (MediaType constant : getConstants()) {
       assertSame(
@@ -74,7 +68,7 @@ public class MediaTypeTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // reflection
+  // reflection
   public void testConstants_charset() throws Exception {
     for (Field field : getConstantFields()) {
       Optional<Charset> charset = ((MediaType) field.get(null)).charset();
@@ -86,12 +80,12 @@ public class MediaTypeTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // reflection
+  // reflection
   public void testConstants_areUnique() {
     assertThat(getConstants()).containsNoDuplicates();
   }
 
-  @GwtIncompatible // reflection
+  // reflection
   private static FluentIterable<Field> getConstantFields() {
     return FluentIterable.from(asList(MediaType.class.getDeclaredFields()))
         .filter(
@@ -107,7 +101,7 @@ public class MediaTypeTest extends TestCase {
             });
   }
 
-  @GwtIncompatible // reflection
+  // reflection
   private static FluentIterable<MediaType> getConstants() {
     return getConstantFields()
         .transform(
@@ -517,7 +511,7 @@ public class MediaTypeTest extends TestCase {
     assertThat(MediaType.parse("text/plain; charset=utf-8").charset()).hasValue(UTF_8);
   }
 
-  @GwtIncompatible // Non-UTF-8 Charset
+  // Non-UTF-8 Charset
   public void testGetCharset_utf16() {
     assertThat(MediaType.parse("text/plain; charset=utf-16").charset()).hasValue(UTF_16);
   }
@@ -589,7 +583,7 @@ public class MediaTypeTest extends TestCase {
         .testEquals();
   }
 
-  @GwtIncompatible // Non-UTF-8 Charset
+  // Non-UTF-8 Charset
   public void testEquals_nonUtf8Charsets() {
     new EqualsTester()
         .addEqualityGroup(MediaType.create("text", "plain"))
@@ -598,7 +592,7 @@ public class MediaTypeTest extends TestCase {
         .testEquals();
   }
 
-  @GwtIncompatible // com.google.common.testing.NullPointerTester
+  // com.google.common.testing.NullPointerTester
   public void testNullPointer() {
     NullPointerTester tester = new NullPointerTester();
     tester.testAllPublicConstructors(MediaType.class);
diff --git a/guava-tests/test/com/google/common/net/PercentEscaperTest.java b/guava-tests/test/com/google/common/net/PercentEscaperTest.java
index 8443680..4febfc1 100644
--- a/guava-tests/test/com/google/common/net/PercentEscaperTest.java
+++ b/guava-tests/test/com/google/common/net/PercentEscaperTest.java
@@ -21,7 +21,6 @@ import static com.google.common.escape.testing.EscaperAsserts.assertUnescaped;
 import static com.google.common.escape.testing.EscaperAsserts.assertUnicodeEscaping;
 import static com.google.common.truth.Truth.assertThat;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.base.Preconditions;
 import com.google.common.escape.UnicodeEscaper;
 import junit.framework.TestCase;
@@ -31,7 +30,6 @@ import junit.framework.TestCase;
  *
  * @author David Beaumont
  */
-@GwtCompatible
 public class PercentEscaperTest extends TestCase {
 
   /** Tests that the simple escaper treats 0-9, a-z and A-Z as safe */
diff --git a/guava-tests/test/com/google/common/net/UrlEscapersTest.java b/guava-tests/test/com/google/common/net/UrlEscapersTest.java
index 9a67a95..bc089e5 100644
--- a/guava-tests/test/com/google/common/net/UrlEscapersTest.java
+++ b/guava-tests/test/com/google/common/net/UrlEscapersTest.java
@@ -23,7 +23,6 @@ import static com.google.common.net.UrlEscapers.urlFormParameterEscaper;
 import static com.google.common.net.UrlEscapers.urlFragmentEscaper;
 import static com.google.common.net.UrlEscapers.urlPathSegmentEscaper;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.escape.UnicodeEscaper;
 import junit.framework.TestCase;
 
@@ -32,7 +31,6 @@ import junit.framework.TestCase;
  *
  * @author David Beaumont
  */
-@GwtCompatible
 public class UrlEscapersTest extends TestCase {
   /**
    * Helper to assert common expected behaviour of uri escapers. You should call
diff --git a/guava-tests/test/com/google/common/primitives/AndroidIncompatible.java b/guava-tests/test/com/google/common/primitives/AndroidIncompatible.java
index 2cf4a28..9ca8779 100644
--- a/guava-tests/test/com/google/common/primitives/AndroidIncompatible.java
+++ b/guava-tests/test/com/google/common/primitives/AndroidIncompatible.java
@@ -23,7 +23,6 @@ import static java.lang.annotation.ElementType.METHOD;
 import static java.lang.annotation.ElementType.TYPE;
 import static java.lang.annotation.RetentionPolicy.CLASS;
 
-import com.google.common.annotations.GwtCompatible;
 import java.lang.annotation.Retention;
 import java.lang.annotation.Target;
 
@@ -37,5 +36,4 @@ import java.lang.annotation.Target;
  */
 @Retention(CLASS)
 @Target({ANNOTATION_TYPE, CONSTRUCTOR, FIELD, METHOD, TYPE})
-@GwtCompatible
 @interface AndroidIncompatible {}
diff --git a/guava-tests/test/com/google/common/primitives/BooleansTest.java b/guava-tests/test/com/google/common/primitives/BooleansTest.java
index 560c337..803e651 100644
--- a/guava-tests/test/com/google/common/primitives/BooleansTest.java
+++ b/guava-tests/test/com/google/common/primitives/BooleansTest.java
@@ -16,8 +16,6 @@
 
 package com.google.common.primitives;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.Helpers;
 import com.google.common.testing.NullPointerTester;
 import com.google.common.testing.SerializableTester;
@@ -33,7 +31,6 @@ import junit.framework.TestCase;
  *
  * @author Kevin Bourrillion
  */
-@GwtCompatible(emulated = true)
 public class BooleansTest extends TestCase {
   private static final boolean[] EMPTY = {};
   private static final boolean[] ARRAY_FALSE = {false};
@@ -172,7 +169,7 @@ public class BooleansTest extends TestCase {
     Helpers.testComparator(comparator, ordered);
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testLexicographicalComparatorSerializable() {
     Comparator<boolean[]> comparator = Booleans.lexicographicalComparator();
     assertSame(comparator, SerializableTester.reserialize(comparator));
@@ -338,7 +335,7 @@ public class BooleansTest extends TestCase {
     assertEquals(1, Booleans.countTrue(false, false, true, false, false));
   }
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   public void testNulls() {
     new NullPointerTester().testAllPublicStaticMethods(Booleans.class);
   }
diff --git a/guava-tests/test/com/google/common/primitives/ByteArrayAsListTest.java b/guava-tests/test/com/google/common/primitives/ByteArrayAsListTest.java
index c3d0be1..109eb45 100644
--- a/guava-tests/test/com/google/common/primitives/ByteArrayAsListTest.java
+++ b/guava-tests/test/com/google/common/primitives/ByteArrayAsListTest.java
@@ -18,9 +18,6 @@ package com.google.common.primitives;
 
 import static com.google.common.base.Preconditions.checkNotNull;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
-import com.google.common.collect.ImmutableList;
 import com.google.common.collect.testing.ListTestSuiteBuilder;
 import com.google.common.collect.testing.SampleElements;
 import com.google.common.collect.testing.TestListGenerator;
@@ -37,7 +34,6 @@ import junit.framework.TestSuite;
  *
  * @author Kevin Bourrillion
  */
-@GwtCompatible(emulated = true)
 public class ByteArrayAsListTest extends TestCase {
 
   private static List<Byte> asList(Byte[] values) {
@@ -48,7 +44,7 @@ public class ByteArrayAsListTest extends TestCase {
     return Bytes.asList(temp);
   }
 
-  @GwtIncompatible // suite
+  // suite
   public static Test suite() {
     List<ListTestSuiteBuilder<Byte>> builders =
         ImmutableList.of(
diff --git a/guava-tests/test/com/google/common/primitives/BytesTest.java b/guava-tests/test/com/google/common/primitives/BytesTest.java
index 233a015..2bf492e 100644
--- a/guava-tests/test/com/google/common/primitives/BytesTest.java
+++ b/guava-tests/test/com/google/common/primitives/BytesTest.java
@@ -16,8 +16,6 @@
 
 package com.google.common.primitives;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.Helpers;
 import com.google.common.testing.NullPointerTester;
 import java.util.Arrays;
@@ -31,7 +29,6 @@ import junit.framework.TestCase;
  *
  * @author Kevin Bourrillion
  */
-@GwtCompatible(emulated = true)
 public class BytesTest extends TestCase {
   private static final byte[] EMPTY = {};
   private static final byte[] ARRAY1 = {(byte) 1};
@@ -268,7 +265,7 @@ public class BytesTest extends TestCase {
     testReverse(new byte[] {-1, 1, -2, 2}, 1, 3, new byte[] {-1, -2, 1, 2});
   }
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   public void testNulls() {
     new NullPointerTester().testAllPublicStaticMethods(Bytes.class);
   }
diff --git a/guava-tests/test/com/google/common/primitives/CharArrayAsListTest.java b/guava-tests/test/com/google/common/primitives/CharArrayAsListTest.java
index fa2a53d..dfb7023 100644
--- a/guava-tests/test/com/google/common/primitives/CharArrayAsListTest.java
+++ b/guava-tests/test/com/google/common/primitives/CharArrayAsListTest.java
@@ -18,9 +18,6 @@ package com.google.common.primitives;
 
 import static com.google.common.base.Preconditions.checkNotNull;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
-import com.google.common.collect.ImmutableList;
 import com.google.common.collect.testing.ListTestSuiteBuilder;
 import com.google.common.collect.testing.SampleElements;
 import com.google.common.collect.testing.TestListGenerator;
@@ -37,7 +34,6 @@ import junit.framework.TestSuite;
  *
  * @author Kevin Bourrillion
  */
-@GwtCompatible(emulated = true)
 public class CharArrayAsListTest extends TestCase {
 
   private static List<Character> asList(Character[] values) {
@@ -48,7 +44,7 @@ public class CharArrayAsListTest extends TestCase {
     return Chars.asList(temp);
   }
 
-  @GwtIncompatible // suite
+  // suite
   public static Test suite() {
     List<ListTestSuiteBuilder<Character>> builders =
         ImmutableList.of(
diff --git a/guava-tests/test/com/google/common/primitives/CharsTest.java b/guava-tests/test/com/google/common/primitives/CharsTest.java
index f1da7fd..f837e82 100644
--- a/guava-tests/test/com/google/common/primitives/CharsTest.java
+++ b/guava-tests/test/com/google/common/primitives/CharsTest.java
@@ -16,8 +16,6 @@
 
 package com.google.common.primitives;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.Helpers;
 import com.google.common.testing.NullPointerTester;
 import com.google.common.testing.SerializableTester;
@@ -34,7 +32,6 @@ import junit.framework.TestCase;
  *
  * @author Kevin Bourrillion
  */
-@GwtCompatible(emulated = true)
 @SuppressWarnings("cast") // redundant casts are intentional and harmless
 public class CharsTest extends TestCase {
   private static final char[] EMPTY = {};
@@ -215,13 +212,13 @@ public class CharsTest extends TestCase {
             new char[] {(char) 1, (char) 2, (char) 3, (char) 4}, Chars.concat(ARRAY1, ARRAY234)));
   }
 
-  @GwtIncompatible // Chars.fromByteArray
+  // Chars.fromByteArray
   public void testFromByteArray() {
     assertEquals('\u2345', Chars.fromByteArray(new byte[] {0x23, 0x45, (byte) 0xDC}));
     assertEquals('\uFEDC', Chars.fromByteArray(new byte[] {(byte) 0xFE, (byte) 0xDC}));
   }
 
-  @GwtIncompatible // Chars.fromByteArray
+  // Chars.fromByteArray
   public void testFromByteArrayFails() {
     try {
       Chars.fromByteArray(new byte[Chars.BYTES - 1]);
@@ -230,13 +227,13 @@ public class CharsTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // Chars.fromBytes
+  // Chars.fromBytes
   public void testFromBytes() {
     assertEquals('\u2345', Chars.fromBytes((byte) 0x23, (byte) 0x45));
     assertEquals('\uFEDC', Chars.fromBytes((byte) 0xFE, (byte) 0xDC));
   }
 
-  @GwtIncompatible // Chars.fromByteArray, Chars.toByteArray
+  // Chars.fromByteArray, Chars.toByteArray
   public void testByteArrayRoundTrips() {
     char c = 0;
     for (int hi = 0; hi < 256; hi++) {
@@ -258,7 +255,7 @@ public class CharsTest extends TestCase {
     assertEquals((char) 0, c); // sanity check
   }
 
-  @GwtIncompatible // Chars.fromByteArray, Chars.toByteArray
+  // Chars.fromByteArray, Chars.toByteArray
   public void testByteArrayRoundTripsFails() {
     try {
       Chars.fromByteArray(new byte[] {0x11});
@@ -314,7 +311,7 @@ public class CharsTest extends TestCase {
     Helpers.testComparator(comparator, ordered);
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testLexicographicalComparatorSerializable() {
     Comparator<char[]> comparator = Chars.lexicographicalComparator();
     assertSame(comparator, SerializableTester.reserialize(comparator));
@@ -452,7 +449,7 @@ public class CharsTest extends TestCase {
     assertSame(Collections.emptyList(), Chars.asList(EMPTY));
   }
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   public void testNulls() {
     new NullPointerTester().testAllPublicStaticMethods(Chars.class);
   }
diff --git a/guava-tests/test/com/google/common/primitives/DoubleArrayAsListTest.java b/guava-tests/test/com/google/common/primitives/DoubleArrayAsListTest.java
index 23a7ca1..2ee77c4 100644
--- a/guava-tests/test/com/google/common/primitives/DoubleArrayAsListTest.java
+++ b/guava-tests/test/com/google/common/primitives/DoubleArrayAsListTest.java
@@ -18,9 +18,6 @@ package com.google.common.primitives;
 
 import static com.google.common.base.Preconditions.checkNotNull;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
-import com.google.common.collect.ImmutableList;
 import com.google.common.collect.testing.ListTestSuiteBuilder;
 import com.google.common.collect.testing.SampleElements;
 import com.google.common.collect.testing.TestListGenerator;
@@ -37,7 +34,6 @@ import junit.framework.TestSuite;
  *
  * @author Kevin Bourrillion
  */
-@GwtCompatible(emulated = true)
 public class DoubleArrayAsListTest extends TestCase {
 
   private static List<Double> asList(Double[] values) {
@@ -48,7 +44,7 @@ public class DoubleArrayAsListTest extends TestCase {
     return Doubles.asList(temp);
   }
 
-  @GwtIncompatible // suite
+  // suite
   public static Test suite() {
     List<ListTestSuiteBuilder<Double>> builders =
         ImmutableList.of(
diff --git a/guava-tests/test/com/google/common/primitives/DoublesTest.java b/guava-tests/test/com/google/common/primitives/DoublesTest.java
index 871b84c..1cb0a40 100644
--- a/guava-tests/test/com/google/common/primitives/DoublesTest.java
+++ b/guava-tests/test/com/google/common/primitives/DoublesTest.java
@@ -19,10 +19,7 @@ package com.google.common.primitives;
 import static com.google.common.truth.Truth.assertThat;
 import static java.lang.Double.NaN;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.base.Converter;
-import com.google.common.collect.ImmutableList;
 import com.google.common.collect.testing.Helpers;
 import com.google.common.testing.NullPointerTester;
 import com.google.common.testing.SerializableTester;
@@ -39,7 +36,6 @@ import junit.framework.TestCase;
  *
  * @author Kevin Bourrillion
  */
-@GwtCompatible(emulated = true)
 @SuppressWarnings("cast") // redundant casts are intentional and harmless
 public class DoublesTest extends TestCase {
   private static final double[] EMPTY = {};
@@ -194,7 +190,6 @@ public class DoublesTest extends TestCase {
     assertEquals(-1, Doubles.lastIndexOf(new double[] {NaN, 5.0}, NaN));
   }
 
-  @GwtIncompatible
   public void testMax_noArgs() {
     try {
       Doubles.max();
@@ -217,7 +212,6 @@ public class DoublesTest extends TestCase {
     assertTrue(Double.isNaN(Doubles.max(VALUES)));
   }
 
-  @GwtIncompatible
   public void testMin_noArgs() {
     try {
       Doubles.min();
@@ -300,7 +294,7 @@ public class DoublesTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // Double.toString returns different value in GWT.
+  // Double.toString returns different value in GWT.
   public void testJoin() {
     assertEquals("", Doubles.join(",", EMPTY));
     assertEquals("1.0", Doubles.join(",", ARRAY1));
@@ -403,13 +397,13 @@ public class DoublesTest extends TestCase {
         new double[] {-1, 1, Double.NaN, -2, 2}, 1, 4, new double[] {-1, Double.NaN, 1, -2, 2});
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testLexicographicalComparatorSerializable() {
     Comparator<double[]> comparator = Doubles.lexicographicalComparator();
     assertSame(comparator, SerializableTester.reserialize(comparator));
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testStringConverterSerialization() {
     SerializableTester.reserializeAndAssert(Doubles.stringConverter());
   }
@@ -521,7 +515,7 @@ public class DoublesTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // Doubles.tryParse
+  // Doubles.tryParse
   private static void checkTryParse(String input) {
     Double expected = referenceTryParse(input);
     assertEquals(expected, Doubles.tryParse(input));
@@ -539,7 +533,7 @@ public class DoublesTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // Doubles.tryParse
+  // Doubles.tryParse
   private static void checkTryParse(double expected, String input) {
     assertEquals(Double.valueOf(expected), Doubles.tryParse(input));
     assertThat(input)
@@ -548,7 +542,7 @@ public class DoublesTest extends TestCase {
                 Doubles.FLOATING_POINT_PATTERN.pattern(), Doubles.FLOATING_POINT_PATTERN.flags()));
   }
 
-  @GwtIncompatible // Doubles.tryParse
+  // Doubles.tryParse
   public void testTryParseHex() {
     for (String signChar : ImmutableList.of("", "+", "-")) {
       for (String hexPrefix : ImmutableList.of("0x", "0X")) {
@@ -569,7 +563,7 @@ public class DoublesTest extends TestCase {
   }
 
   @AndroidIncompatible // slow
-  @GwtIncompatible // Doubles.tryParse
+  // Doubles.tryParse
   public void testTryParseAllCodePoints() {
     // Exercise non-ASCII digit test cases and the like.
     char[] tmp = new char[2];
@@ -579,28 +573,28 @@ public class DoublesTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // Doubles.tryParse
+  // Doubles.tryParse
   public void testTryParseOfToStringIsOriginal() {
     for (double d : NUMBERS) {
       checkTryParse(d, Double.toString(d));
     }
   }
 
-  @GwtIncompatible // Doubles.tryParse
+  // Doubles.tryParse
   public void testTryParseOfToHexStringIsOriginal() {
     for (double d : NUMBERS) {
       checkTryParse(d, Double.toHexString(d));
     }
   }
 
-  @GwtIncompatible // Doubles.tryParse
+  // Doubles.tryParse
   public void testTryParseNaN() {
     checkTryParse("NaN");
     checkTryParse("+NaN");
     checkTryParse("-NaN");
   }
 
-  @GwtIncompatible // Doubles.tryParse
+  // Doubles.tryParse
   public void testTryParseInfinity() {
     checkTryParse(Double.POSITIVE_INFINITY, "Infinity");
     checkTryParse(Double.POSITIVE_INFINITY, "+Infinity");
@@ -624,7 +618,7 @@ public class DoublesTest extends TestCase {
     "InfinityF"
   };
 
-  @GwtIncompatible // Doubles.tryParse
+  // Doubles.tryParse
   public void testTryParseFailures() {
     for (String badInput : BAD_TRY_PARSE_INPUTS) {
       assertThat(badInput)
@@ -637,7 +631,7 @@ public class DoublesTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   public void testNulls() {
     new NullPointerTester().testAllPublicStaticMethods(Doubles.class);
   }
@@ -667,7 +661,7 @@ public class DoublesTest extends TestCase {
     assertNull(Doubles.stringConverter().reverse().convert(null));
   }
 
-  @GwtIncompatible // Double.toString returns different value in GWT.
+  // Double.toString returns different value in GWT.
   public void testStringConverter_reverse() {
     Converter<String, Double> converter = Doubles.stringConverter();
     assertEquals("1.0", converter.reverse().convert(1.0));
@@ -677,13 +671,12 @@ public class DoublesTest extends TestCase {
     assertEquals("1.0E-6", converter.reverse().convert(1e-6));
   }
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   public void testStringConverter_nullPointerTester() throws Exception {
     NullPointerTester tester = new NullPointerTester();
     tester.testAllPublicInstanceMethods(Doubles.stringConverter());
   }
 
-  @GwtIncompatible
   public void testTryParse_withNullNoGwt() {
     assertNull(Doubles.tryParse("null"));
     try {
diff --git a/guava-tests/test/com/google/common/primitives/FloatArrayAsListTest.java b/guava-tests/test/com/google/common/primitives/FloatArrayAsListTest.java
index 233a021..bb1b920 100644
--- a/guava-tests/test/com/google/common/primitives/FloatArrayAsListTest.java
+++ b/guava-tests/test/com/google/common/primitives/FloatArrayAsListTest.java
@@ -18,9 +18,6 @@ package com.google.common.primitives;
 
 import static com.google.common.base.Preconditions.checkNotNull;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
-import com.google.common.collect.ImmutableList;
 import com.google.common.collect.testing.ListTestSuiteBuilder;
 import com.google.common.collect.testing.SampleElements;
 import com.google.common.collect.testing.TestListGenerator;
@@ -37,7 +34,6 @@ import junit.framework.TestSuite;
  *
  * @author Kevin Bourrillion
  */
-@GwtCompatible(emulated = true)
 public class FloatArrayAsListTest extends TestCase {
 
   private static List<Float> asList(Float[] values) {
@@ -48,7 +44,7 @@ public class FloatArrayAsListTest extends TestCase {
     return Floats.asList(temp);
   }
 
-  @GwtIncompatible // suite
+  // suite
   public static Test suite() {
     List<ListTestSuiteBuilder<Float>> builders =
         ImmutableList.of(
